Browse Source

added boblight - uploaded2-3-base-stable-PPA

mango 1 year ago
parent
commit
95807bce4a

+ 31
- 0
b/boblight-2.0+trunk478/debian/boblight.conf View File

@@ -0,0 +1,31 @@
1
+# example configuration, additional examples can be found in /usr/share/doc/boblight/examples/
2
+[global]
3
+interface 127.0.0.1
4
+port      19333
5
+
6
+[device]
7
+name            device1
8
+output          dd bs=1 > /dev/null 2>&1
9
+channels        3
10
+type            popen
11
+interval        20000
12
+
13
+[color]
14
+name            red
15
+rgb             FF0000
16
+
17
+[color]
18
+name            green
19
+rgb             00FF00
20
+
21
+[color]
22
+name            blue
23
+rgb             0000FF
24
+
25
+[light]
26
+name            light1
27
+color           red     device1 1
28
+color           green   device1 2
29
+color           blue    device1 3
30
+hscan           0 100
31
+vscan           0 100

+ 48
- 0
b/boblight-2.0+trunk478/debian/boblight.init View File

@@ -0,0 +1,48 @@
1
+#!/bin/sh
2
+
3
+# INIT INFO
4
+# Provides:          boblightd
5
+# Default-Start:     2 3 4 5
6
+# Default-Stop:      0 1 6
7
+# Short-Description: boblightd daemon
8
+# Description:       Boblight daemon
9
+### END INIT INFO
10
+
11
+PATH=/usr/local/bin:/bin:/usr/bin
12
+NAME=boblightd
13
+DAEMON=/usr/bin/$NAME
14
+PIDFILE=/var/run/$NAME.pid
15
+DESC="boblight daemon"
16
+USER=boblightd
17
+
18
+[ -x "$DAEMON" ] || exit 0
19
+
20
+. /lib/lsb/init-functions
21
+
22
+case "$1" in
23
+  start)
24
+    # master switch
25
+      log_daemon_msg "Starting $DESC" "$NAME"
26
+      /sbin/start-stop-daemon --start --exec $DAEMON --background --make-pidfile --pidfile $PI$
27
+      log_end_msg $?
28
+    ;;
29
+  stop)
30
+ # master switch
31
+      log_daemon_msg "Stopping $DESC" "$NAME"
32
+      /sbin/start-stop-daemon --stop --pidfile $PIDFILE --chuid $USER --exec $D$
33
+      /bin/rm -f $PIDFILE
34
+      log_end_msg $?
35
+    ;;
36
+  reload|restart)
37
+    $0 stop && $0 start
38
+    ;;
39
+  status)
40
+ status_of_proc -p $PIDFILE $DAEMON $NAME && exit 0 || exit $?
41
+    ;;
42
+  *)
43
+    echo "Usage: /etc/init.d/$NAME {start|stop|restart|status}" >&2
44
+    exit 1
45
+    ;;
46
+esac
47
+
48
+exit 0

+ 1
- 0
b/boblight-2.0+trunk478/debian/boblight.install View File

@@ -1 +1,2 @@
1 1
 usr/bin/
2
+debian/boblight.conf etc/

+ 8
- 0
b/boblight-2.0+trunk478/debian/boblight.upstart View File

@@ -0,0 +1,8 @@
1
+description "boblight daemon - expects a configuration file in /etc/boblight.conf"
2
+
3
+start on runlevel [2345]
4
+stop on runlevel [!2345]
5
+
6
+script
7
+  boblightd
8
+end script

+ 27
- 3
b/boblight-2.0+trunk478/debian/changelog View File

@@ -1,8 +1,32 @@
1
-boblight (2.0+trunk478-0easyVDR0~trusty) trusty; urgency=high
1
+boblight (2.0+trunk478-1easyVDR0~trusty) trusty; urgency=high
2 2
 
3
-  * rebuild for easyVDR
3
+  * rebuild
4 4
 
5
- -- easyVDR-Developer <easyvdr-dev@easy-vdr.de>  Fri, 13 Mar 2015 21:00:15 +0100
5
+ -- Wolfgang Mangold <vdr@gmx.de>  Thu, 28 Sep 2017 22:24:59 +0200
6
+
7
+boblight (2.0+trunk478-4yavdr0~trusty) trusty; urgency=medium
8
+
9
+  * fix upstart job
10
+
11
+ -- Alexander Grothe <seahawk1986@gmx.de>  Mon, 18 Jan 2016 17:02:18 +0100
12
+
13
+boblight (2.0+trunk478-3yavdr0~trusty) trusty; urgency=medium
14
+
15
+  * add upstart job, sysV-init job and dummy config file
16
+
17
+ -- Alexander Grothe <seahawk1986@gmx.de>  Sun, 17 Jan 2016 21:21:16 +0100
18
+
19
+boblight (2.0+trunk478-2yavdr0~trustyubuntu1) trusty; urgency=medium
20
+
21
+  * reenable X11 support, build against ffmpeg instead of libav
22
+
23
+ -- Alexander Grothe <seahawk1986@gmx.de>  Sun, 17 Jan 2016 20:18:36 +0100
24
+
25
+boblight (2.0+trunk478-2yavdr0~trusty) trusty; urgency=medium
26
+
27
+  * rebuild for trusty thar
28
+
29
+ -- Alexander Grothe <seahawk1986@hotmail.com>  Tue, 08 Apr 2014 16:16:29 +0200
6 30
 
7 31
 boblight (2.0+trunk478-2yavdr0~trusty) trusty; urgency=medium
8 32
 

+ 1
- 1
b/boblight-2.0+trunk478/debian/control View File

@@ -2,7 +2,7 @@ Source: boblight
2 2
 Section: video
3 3
 Priority: extra
4 4
 Maintainer: Lars Hanisch <dvb@flensrocker.de>
5
-Build-Depends: debhelper (>= 8), libx11-dev, libgl1-mesa-dev, libxrender-dev, libxext-dev, portaudio19-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libavdevice-dev, libusb-1.0-0-dev
5
+Build-Depends: debhelper (>= 8), libx11-dev, libgl1-mesa-dev, libxrender-dev, libxext-dev, portaudio19-dev, libavcodec-ffmpeg-opti-dev, libavformat-ffmpeg-opti-dev, libavutil-ffmpeg-opti-dev, libswscale-ffmpeg-opti-dev, libavdevice-ffmpeg-opti-dev, libusb-1.0-0-dev
6 6
 Standards-Version: 3.9.1
7 7
 Homepage: https://code.google.com/p/boblight/
8 8
 

+ 1
- 1
b/boblight-2.0+trunk478/debian/rules View File

@@ -5,7 +5,7 @@
5 5
 .PHONY: override_dh_auto_configure
6 6
 
7 7
 override_dh_auto_configure:
8
-	dh_auto_configure -- --without-x11 --without-portaudio
8
+	dh_auto_configure -- --without-portaudio
9 9
 
10 10
 %:
11 11
 	dh $@

Loading…
Cancel
Save